Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class CreditorReferenceInformation1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.CreditorReferenceInformation1

    public class CreditorReferenceInformation1
    extends java.lang.Object

Java class for CreditorReferenceInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditorReferenceType1" minOccurs="0"/>
             <element name="CdtrRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `cdtrRef`
`protected CreditorReferenceType1` `cdtrRefTp`

### Constructor Summary

Constructors
`CreditorReferenceInformation1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCdtrRef()` Gets the value of the cdtrRef property.
`CreditorReferenceType1` `getCdtrRefTp()` Gets the value of the cdtrRefTp property.
`void` `setCdtrRef​(java.lang.String value)` Sets the value of the cdtrRef property.
`void` `setCdtrRefTp​(CreditorReferenceType1 value)` Sets the value of the cdtrRefTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrRefTp

    protected CreditorReferenceType1 cdtrRefTp

#### cdtrRef

    protected java.lang.String cdtrRef

### Constructor Detail

#### CreditorReferenceInformation1

    public CreditorReferenceInformation1()

### Method Detail

#### getCdtrRefTp

    public CreditorReferenceType1 getCdtrRefTp()

Gets the value of the cdtrRefTp property.

Returns:
  possible object is `CreditorReferenceType1`

#### setCdtrRefTp

    public void setCdtrRefTp​(CreditorReferenceType1 value)

Sets the value of the cdtrRefTp property.

Parameters:
  `value` - allowed object is `CreditorReferenceType1`

#### getCdtrRef

    public java.lang.String getCdtrRef()

Gets the value of the cdtrRef property.

Returns:
  possible object is `String`

#### setCdtrRef

    public void setCdtrRef​(java.lang.String value)

Sets the value of the cdtrRef property.

Parameters:
  `value` - allowed object is `String`